Package org.apache.avro.ipc.reflect

# Class ReflectRequestor

java.lang.Object
org.apache.avro.ipc.Requestor
org.apache.avro.ipc.specific.SpecificRequestor
org.apache.avro.ipc.reflect.ReflectRequestor

All Implemented Interfaces:
  `InvocationHandler`

public class ReflectRequestor extends SpecificRequestor
A `Requestor` for existing interfaces.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.avro.ipc.Requestor

`Requestor.TransceiverCallback<T>`

## Field Summary

### Fields inherited from class org.apache.avro.ipc.Requestor

`rpcMetaPlugins`

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`ReflectRequestor(Class<?> iface, Transceiver transceiver)`
``
`ReflectRequestor(Class<?> iface, Transceiver transceiver, org.apache.avro.reflect.ReflectData data)`
`protected`
`ReflectRequestor(org.apache.avro.Protocol protocol, Transceiver transceiver)`
``
`ReflectRequestor(org.apache.avro.Protocol protocol, Transceiver transceiver, org.apache.avro.reflect.ReflectData data)`

## Method Summary

Modifier and Type
Method
Description
`static <T> T`
`getClient(Class<T> iface, ReflectRequestor rreq)`
Create a proxy instance whose methods invoke RPCs.
`static <T> T`
`getClient(Class<T> iface, Transceiver transceiver)`
Create a proxy instance whose methods invoke RPCs.
`static <T> T`
`getClient(Class<T> iface, Transceiver transceiver, org.apache.avro.reflect.ReflectData reflectData)`
Create a proxy instance whose methods invoke RPCs.
`protected org.apache.avro.io.DatumReader<Object>`
`getDatumReader(org.apache.avro.Schema writer, org.apache.avro.Schema reader)`
`protected org.apache.avro.io.DatumWriter<Object>`
`getDatumWriter(org.apache.avro.Schema schema)`
`org.apache.avro.reflect.ReflectData`
`getReflectData()`

### Methods inherited from class org.apache.avro.ipc.specific.SpecificRequestor

`getClient, getClient, getDatumReader, getRemote, getSpecificData, invoke, readError, readResponse, writeRequest`

### Methods inherited from class org.apache.avro.ipc.Requestor

`addRPCPlugin, getLocal, getRemote, getTransceiver, readError, readResponse, request, request`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReflectRequestor

public ReflectRequestor(Class<?> iface, Transceiver transceiver) throws IOException

Throws:
  `IOException`

### ReflectRequestor

protected ReflectRequestor(org.apache.avro.Protocol protocol, Transceiver transceiver) throws IOException

Throws:
  `IOException`

### ReflectRequestor

public ReflectRequestor(Class<?> iface, Transceiver transceiver, org.apache.avro.reflect.ReflectData data) throws IOException

Throws:
  `IOException`

### ReflectRequestor

public ReflectRequestor(org.apache.avro.Protocol protocol, Transceiver transceiver, org.apache.avro.reflect.ReflectData data) throws IOException

Throws:
  `IOException`

## Method Details

### getReflectData

public org.apache.avro.reflect.ReflectData getReflectData()

### getDatumWriter

protected org.apache.avro.io.DatumWriter<Object> getDatumWriter(org.apache.avro.Schema schema)

Overrides:
  `getDatumWriter` in class `SpecificRequestor`

### getDatumReader

protected org.apache.avro.io.DatumReader<Object> getDatumReader(org.apache.avro.Schema writer, org.apache.avro.Schema reader)

Overrides:
  `getDatumReader` in class `SpecificRequestor`

### getClient

public static <T> T getClient(Class<T> iface, Transceiver transceiver) throws IOException
Create a proxy instance whose methods invoke RPCs.

Throws:
  `IOException`

### getClient

public static <T> T getClient(Class<T> iface, Transceiver transceiver, org.apache.avro.reflect.ReflectData reflectData) throws IOException
Create a proxy instance whose methods invoke RPCs.

Throws:
  `IOException`

### getClient

public static <T> T getClient(Class<T> iface, ReflectRequestor rreq) throws IOException
Create a proxy instance whose methods invoke RPCs.

Throws:
  `IOException`